Electrochemical Noise: Introduction

Introduction

Noise in electrochemical corrosion measurements is common, showing up in both the current and voltage signals. It can come from several different sources, including:

  • Electronic and thermal noise in the instrument
  • Antenna pickup in the cell and cell leads
  • Digitization of analog signals
  • Turbulent mass transport in the chemical cell
  • Stochastic processes at the electrode surface

Most often noise is a nuisance degrading the signals you are trying to measure, but in some situations it can be a benefit to the corrosion engineer. In pitting corrosion, noise measurements can detect the onset of pitting. There will be a background noise in uniform corrosion processes due to the first four mechanisms in the above list. At the onset of pitting, however, the noise due to electrode surface reactions can increase dramatically. This noise can show up in either the current signal or voltage signal, or both.

There are several ways to measure current noise and voltage noise. One can apply a constant I signal and measure E noise or vice versa. One can also measure both current and voltage simultaneously on an electrochemical cell under control of a ZRA (zero resistance ammeter).

The EN120 measures noise using both potentiostatic control and ZRA control modes. In potentiostatic tests, a corrosion specimen is immersed in a solution and its potential is controlled using a Gamry Instruments, Inc. Potentiostat/Galvanostat/ZRA in its three electrode potentiostat mode. The noise in the cell current is measured as a function of time.

In ZRA tests, two identical corrosion specimens are immersed in the same solution. The same Potentiostat/Galvanostat/ZRA is used, but this time it is connected as a ZRA. Current is measured between the two working electrodes which are held at the same potential. Voltage is measured independently between the two specimens and a reference electrode.


EN120: Data Acquisition and Data Analysis

The EN120 uses a very simple method to measure noise. Periodically, short blocks of current or current and potential data are acquired using the potentiostat's internal A/D converter. Both the length of the data block and the point density of the block are controlled by the user. Typically, each block will be 20 seconds long and will contain 100 data points.

The time spacing between blocks and the total test time are also controlled by the user. Typical values are one block every 10 minutes for 24 hours.

There are also a number of methods for ECN data treatment. The EN120 tests use a simple detrended RMS calculation on each data block to get an estimate of the noise level during the block. This block/mean calculation repeated periodically builds up the noise versus time curve.


EN120: Scripts

This section describes the single cell EN120 Electrochemical Noise (ECN) scripts for both potentiostatic and ZRA control modes.

NOTE: The descriptions cover the scripts as they were sent to you. You can modify the scripts. If you do so, we strongly recommend that you store the modified versions of these files under new names.

This section begins with information relevant to all the EN120 Explain scripts. This general information is followed by detailed descriptions of the two single cell ECN techniques.

NOTE: We assume that you are familiar with the Framework and know how to run Framework experiments. If you are not, we suggest that you consult the Framework help section.


EN120: Data Treatment

This overview describes data treatment for ECN measurements in the ZRA control mode. Data treatment for ECN measurements in potentiostatic mode does not require a separate discussion. It is simpler in that only current, not current and potential, is measured and analyzed, but it is otherwise similar.

The noise calculation is straightforward. Each block of current and potential versus time data is described by three arrays:

A DC trend is calculated from the data arrays using a standard linear best fit:

The noise of the block is estimated by subtracting the DC trend and calculating the RMS of the residual AC signal:

These values are a measure of current noise and a potential noise at the time the block was acquired. These values, along with the time at the start of the block, is appended to the output curve. The output curve is therefore current noise and potential noise versus time.


EN120: Common Setup Parameters

This section describes the Setup parameters that are found in all the EN120 Setup dialog boxes.

You may find it helpful to read this in front of your computer and try out the Setup selections as you read about them. If you want to do this, bring up Windows running the Framework and then select Experiment, Electrochemical Noise, ZRA Mode Electrochemical Noise.

Pstat

Test Identifier

Output File

Notes

Block Time

Samp. Period

Init. Delay

Time (Initial Delay)

Stab. (Initial Delay)

Repeat Time

Total Time


ZRA Mode ECN: Purpose

Electrochemical Noise Measurements in ZRA mode make simultaneous measurements of both current and voltage noise. Two identical corrosion specimens are held at the same potential and the current flow between them is measured. Simultaneously, the potential difference between the specimens and a reference electrode is measured.

ECN in ZRA mode is especially valuable in detecting localized corrosion. Uniform corrosion, by definition, should occur equally on both specimens. Therefore, there should be no net current flow between them.

Localized corrosion reactions cause fluctuating currents as pit or crevices become active and repassivate. At any given time, one specimen can have more active sites than the other. As a result, there is a fluctuating (noisy) current flow between the specimens.


ZRA Mode ECN: Setup

Click here to see a typical dialog box for a ZRA Mode ECN experiment.

All of the Setup parameters for the ZRA Mode ECN test have been discussed in the Common Setup Parameters.


ZRA Mode ECN: Experimental Sequence

This test is run by selecting Experiment, Electrochemical Noise, ZRA Mode Electrochemical Noise from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "ZRA Mode Electrochemical Noise.exp" script is run in this window.
  2. In the runner window, the script displays a Setup dialog box which becomes the active window. This dialog box allows you to view and edit the experiment parameters. Pressing OK accepts the parameters and starts the experimental run.
  3. The script now obtains the use of the potentiostat specified during setup and opens the data file specified in the Output File field of the Setup dialog box. If the potentiostat is in use or the data file cannot be opened, the script returns to the Setup dialog box. You may Cancel the experiment at that point.
  4. All header information is written to the data file. Header information consists of the analysis tag, the time and date the experiment was started, and a list of the setup parameters.
  5. Eoc is measured. The measurement lasts for at least 10 seconds or longer if a longer time is specified in the Initial Delay parameter.
  6. The script then goes into a loop which performs the actual data collection. It works as follows:
    1. The script goes to sleep until it is time to make the next noise measurement.
    2. On waking, the script sets the appropriate current range.
    3. A one second delay happens here to give the potentiostat time to settle.
    4. The block of I and E data points is measured.
    5. Irms and Erms are calculated and added to the noise curve.
    6. The point just acquired is printed out to the data file.
    7. If more points are needed, return to Step a. If not, go to Step 7.
  7. The script turns off the cell. The last displayed curve, usually the noise curve, will be displayed on the screen until the user hits the Skip key.


Potentiostatic Mode ECN: Purpose

An Electrochemical Noise tests in potentiostatic mode measures current noise at a fixed electrode potential. A corrosion specimen is immersed in a solution and its potential (versus a reference electrode) is controlled by a three electrode potentiostat.

Potentiostatic Mode ECN is useful when the system that you are modeling is not at its open circuit potential. One example is a system under cathodic protection. ZRA Mode ECN cannot test this type of system.

Potentiostatic Mode ECN may also be superior to ZRA mode test ECN for coated samples. In ZRA mode, the assumption is that anodic current on one specimen flows as cathodic current from the other specimen. If two coated specimens are tested in ZRA mode both coatings have to fail for current to flow. In potentiostatic mode, every failure will result in increased current noise.


Potentiostatic Mode ECN: Setup

Click here to see the Setup dialog box for the Potentiostatic Mode ECN Test.

All of the Setup parameters for the potentiostatic Mode ECN test except Applied Voltage have been described in the Common Setup Parameters.

Applied Voltage


Potentiostatic Mode ECN: Experimental Sequence

This test is run by selecting Experiment, Electrochemical Noise, Potentiostatic Mode Electrochemical Noise from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Potentiostatic Mode Electrochemical Noise.exp" script is run in this window.
  2. In the runner window, the script displays a Setup dialog box which becomes the active window. This dialog box allows you to view and edit the experiment parameters. Pressing OK accepts the parameters and starts the experimental run.
  3. The script now obtains the use of the potentiostat specified during setup and opens the data file specified in the Output File field of the Setup dialog box. If the potentiostat is in use or the data file cannot be opened, the script returns to the Setup dialog box. You may Cancel the experiment at that point.
  4. All header information is written to the data file. Header information consists of the analysis tag, the time and date the experiment was started, and a list of the setup parameters.
  5. Eoc is measured. The measurement lasts for at least 10 seconds or longer if a longer time is specified in the Initial Delay parameter.
  6. The script then goes into a loop which performs the actual data collection. It works as follows:
  1. The script goes to sleep until it is time to make the next noise measurement.
  2. On waking, the script sets the appropriate current range.
  3. A one second delay happens here to give the potentiostat time to settle.
  4. The block of current data points is measured.
  5. Irms is calculated and added to the noise curve.
  6. The point just acquired is printed out to the data file.
  7. If more points are needed, return to Step a. If not, go to Step 7.
  7. The script turns off the cell. The last displayed curve, usually the noise curve, will be displayed on the screen until the user hits the Skip key


EN120: Multiplexed Experiments

Each of the multiplexed ECN tests is an extension of the corresponding EN120 single cell test. It can run on up to 8 cells concurrently. Cells are switched using Gamry Instruments' ECM8 Electrochemical Multiplexer.

We will use the following terms to describe the channel and cell status:

Active Cell
Standby Cell
Selected Cell

The terms channel and cell are often used interchangeably when discussing multiplexed tests.

The script connects the potentiostat or ZRA to each selected cell. In the period that a cell is connected, an entire block of data is acquired. This block is then treated to extract its noise parameters. The script then switches to the next selected cell and repeats the process.

Separate noise trend curves are maintained for each cell. Using the curve list control you can review the last data block or the accumulating noise trend curve for any selected cell.

The data treatments are identical to those in the single cell tests.


EN120: Muxtiplexed Experiment Setup Parameters

Click here to see the Setup dialog box for the Multiplexed ZRA Mode Test. At first glance, it looks very different from the Setup dialog box for the single cell ZRA mode test. A closer examination shows the Setup information from the single cell test is still present at the bottom of the dialog box.

Only the new Setup parameters will be discussed here. See the ZRA Mode ECN section for a description of the Setup parameters that apply to both single cell and multiplexed techniques.

Multiplexer

Channel

Identifier

System

Area

Notes

Base Filename


Multiplexed ZRA Mode ECN: Purpose

The multiplexed ZRA mode ECN test is a high throughput version of the single cell test. It is used for the same purpose.


Multiplexed ZRA Mode ECN: Setup

All of the new Setup parameters for the Multiplexed ZRA ECN test have been discussed in the setup parameters for Multiplexed Experiments.


Multiplexed ZRA Mode ECN: Experimental Sequence

This test is run by selecting Experiment, Electrochemical Noise, Multiplexed ZRA Mode ECN from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Multiplexed ZRA Mode ECN.exp" script is run in this window.
  2. In the Runner window, the script displays a Setup dialog box which becomes the active window. This dialog box allows you to view and edit the experiment parameters. Pressing OK accepts the parameters and starts the experimental run.
  3. The script estimates the total amount of time required to capture a block of noise data on all the selected channels. If the total time required is longer than the Repeat Time parameter, the script complains and returns you to the Setup dialog box.
  4. The script now obtains the use of the potentiostat and the multiplexer specified during setup.
  5. Each output file is opened. If a file already exists, the script will ask you if you want it overwritten.
  6. The potentiostat and multiplexer are initialized.
  7. All header information is written to the data files.

    Header information consists of the analysis tag, the time and date the experiment was started, and a list of the setup parameters.
  8. For each cell, Eoc is measured. The measurement lasts for 10 seconds and the result is written to the data file.
  9. The script then goes into a loop which performs the actual data collection. It works as follows:
    1. The script goes to sleep until its time to make the next noise measurement. If the total time parameter has been exceeded, go to Step 10.
    2. The script wakes up and opens the first active channel's output file.
    3. The elapsed time is measured.
    4. The multiplexer is set to the next selected cell.
    5. The script now pauses for one second to give the ZRA time to settle.
    6. The I and E data blocks are now measured. They are displayed as collected.
    7. Irms and Erms are calculated and added to the noise curve.
    8. The multiplexer is set so that all cells are on standby. In standby, the cells are shorted by a switch in the ECM8.
    9. Steps b through h are repeated for each active cell.
  10. The script turns the cell off. The last displayed curve, usually a noise curve, will be displayed on the screen until the user hits the Skip key.


Multiplexed Pstat Mode ECN: Purpose

The multiplexed Pstat mode ECN test is a high throughput version of the single cell test. It is used for the same purpose.


Multiplexed Pstat Mode ECN: Setup

Click here to see the Setup dialog box for the multiplexed Pstat mode ECN test.

All of the Setup parameters for the Multiplexed ZRA ECN test have been discussed in either the single Pstat Mode ECN section or the Multiplexed Experiment section.


Multiplexed Pstat Mode ECN: Experimental Sequence

This test is run by selecting Experiment, Electrochemical Noise, Multiplexed Pstat Mode ECN from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Multiplexed Potentiostatic Mode ECN.exp" script is run in this window.
  2. In the Runner window, the script displays a Setup dialog box which becomes the active window. This dialog box allows you to view and edit the experiment parameters. Pressing OK accepts the parameters and starts the experimental run.
  3. The script estimates the total amount of time required to capture a block of noise data on all the selected channels. If this time required is longer than the Repeat Time parameter, the script complains and returns you to the Setup dialog box.
  4. The script now obtains the use of the potentiostat and the multiplexer specified during setup.
  5. Each output file is opened. If a file already exists, the script will ask you if you want it overwritten.
  6. The potentiostat and multiplexer are initialized.
  7. All header information is written to the data files.

    Header information consists of the analysis tag, the time and date the experiment was started, and a list of the setup parameters.
  8. For each cell, Eoc is measured. The measurement lasts for 10 seconds and the result is written to the data file.
  9. The script then goes into a loop which performs the actual data collection. It works as follows:
    1. The script goes to sleep until its time to make the next noise measurement. If the total time parameter has been exceeded, go to Step 10.
    2. The script wakes up and opens the first active channel's output file.
    3. The elapsed time is measured.
    4. The multiplexer is set to the next selected cell.
    5. The script now pauses for one second to give the ZRA time to settle.
    6. The I and E data blocks are now measured. They are displayed as collected.
    7. Irms and Erms are calculated and added to the noise curve.
    8. The multiplexer is set so that all cells are at open circuit.
    9. Steps b through h are repeated for each active cell.
  10. The script turns the cell off. The last displayed curve, usually a noise curve, will be displayed on the screen until the user hits the Skip key.


Add E Constant

The Add E Constant command is used to offset the active trace by a user specified voltage. The steps to follow to use this command are as follows:

  1. Make the trace you wish to offset the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select the Add E Constant command from the document menu.
  3. Enter the voltage to offset the trace in the dialog, and click Ok.


Add I Constant

The Add I Constant command is used to offset the active trace by a user specified current. The steps to follow to use this command are as follows:

  1. Make the trace you wish to offset the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select the Add I Constant command from the document menu.
  3. Enter the current to offset the trace in the dialog, and click Ok.


Quick Integrate

The Quick Integrate command is used to integrate the current to achieve a total charge value. This command requires that an X Region be selected. The command will operate on all visible traces, and the results will be placed on a new Quick Integrate page, assuming one does not already exist. In the case where this page already exists, the new information will overwrite the old information.

The steps to use this command are as follows:

  1. If the calculation is to be based on only part of the curve, select the appropriate portion using either the Select X Region or Select Y Region tools, or select a portion of the curve using the mouse or keyboard selection tools.

  2. Once the region is selected, you may select the Quick Integrate command from the document menu. As soon as you select this command, the computer will begin to calculate the charge for the different sections of the curve. There can be up to three sections in a cyclic voltammetry curve. These sections are defined by the vertices of the applied voltage signal. In the case where you have a Vinit, a VLimit 1, and a VLimit2, you would have a 2 section curve. In the case where you have a Vinit, a VLimit1, a VLimit2, and a Vfinal, you would have a 3 section curve. The integrated current is listed by section.

    Note that the results are presented both on their own page, and in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X in the lower left corner of the QuickView.


Linear Fit

The Linear Fit command performs a linear least squares fit on a user defined region of data and adds the resulting line as a trace on the chart. In order to use this command, a region must be specified on the Active trace.

The steps to use this command are as follows:

  1. Make the trace on which to fit a line the Active Trace. This can be done by right clicking on the trace and pressing Activate Trace.
  2. Select a region on this trace using either the mouse or keyboard curve selection tools.

  3. Once a region is selected, press the Linear Fit command on the document menu. The algorithm will now begin to fit a line to the selected region. Once the fit is complete, a new trace will be added to the chart.

    You can view the equation for the new line by moving the mouse cursor over the line and watching the tool-tip.


Min/Max

The Min/Max command is used to determine the minimum and maximum current. This command requires that an X Region be selected. The command will operate on all visible traces, and the results will be placed on a new Min/Max page, assuming one does not already exist. In the case where this page already exists, the new information will overwrite the old information.

The steps to use this command are as follows:

  1. If your are looking for the min/max values in a specific portion of the curve, select an X region using the Select X Region tool [image]. To select a region using this tool, left click in the main chart body at one bounding edge of the region. Holding the mouse button down, drag the mouse to the second bounding edge, and release the left button. You will then have a highlighted region on your chart.

  2. Once the region is selected, you may select the Min/Max command from the document menu. As soon as you select this command, the computer will begin to locate the minimum and maximum values for each visible trace.

    Note that the results are presented both on their own page, and in the QuickView area at the bottom of the chart. You can hide the QuickView window by clicking the X on the side-bar of the QuickView.


Normalize By Area

To normalize your current-voltage data to the area of your sample, click the Options/Units for Current/Current Density selection of the Script-specific menu.

To remove area normalization, click Options/Units for Current/Current selection of the Script-specific menu.


Smooth Data

The Smooth Data command is used in cases where the acquired data is less than ideal. There are some cases where exterior noise enters the cell and causes the data to have some minor oscillations. The Smooth Data command offers two different types of smoothing algorithms.

The first is a sliding window type, which takes a number of data points in a window. This window averages the data points, and then slides one spot, and again takes an average. This sliding effect is repeated until all the data has been traversed. This technique is simple, but has a downside of causing the heights of peaks to be changed.

The second type is a Savitzky-Golay smoothing filter, which is a low pass filter which helps to preserve higher moments by approximating the underlying function with a polynomial. This method takes an order, which is the order of the polynomial, as well as a width, which is the number of points to be fit by the polynomial. The defaults of 4 for the order, and 16 for the width are suitable for the majority of applications, but can easily be changed.

The steps to smooth the data are as follows:

  1. Make the trace you wish to smooth the Active trace. This can be done by right clicking on the trace and pressing Activate Trace.

  2. Select the Smooth Data command from the document menu. This will display the Smooth Data dialog.

  3. Select the smoothing filter type, and then specify the conditions for that filter. Once you are satisfied, press Ok. At this point the data will be smoothed. One side effect of smoothing the data is that it in essence replaces the original data in the document. To retrieve the original data, you must reload it from the original DTA file.


Electrochemical Noise Analysis Overview

The Electrochemical Noise analysis script allows the user to open Electrochemical Noise data files by selecting the data file from the File Open window. These data files can be generated by ZRA Mode, Potentiostatic Mode, or Galvanostatic Mode acquisition scripts. The data file will open, and a series of tabbed pages are created in a new window. These tabs will contain a graph of the data, experimental setup information, experimental notes, and hardware settings.

The standard Electrochemical Noise analysis script shows a plot of current and voltage versus time on the first page. Common analyses performed from this graph include Integrate, Min/Max Current, Min/Max Voltage, and Normalize by Area commands. Descriptions of the analysis commands on the Electrochemical Noise menu can be found in the Commands section of the EN120 Data Analysis Help.


Electrochemical Noise Analysis Pages

The standard electrochemical noise analysis contains the following pages at startup:

Chart

The Chart page is the heart of the Electrochemical Noise analysis. It contains the data plotted in a Current and Voltage versus Time format. These current and voltage values are RMS values.

Experimental Setup

The Experimental Setup page contains a list of the parameters used to acquire the data presented on the Chart page.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Additional Pages Which May Become Visible

Integration

This page contains a grid of integration values based on different sections in visible traces based on the most recent use of the Integrate command.

Min/Max

This page contains a grid of minimum and maximum values of each visible trace based on the most recent use of the Min/Max command.


EN120: Data File Format

All four EN120 scripts produce a typical "Framework type" data file. The file is tab delimited ASCII with object types in the first column and object tags in the second column.

The noise data itself is contained in the table with the tag "NSCURVE". The columns are

  1. PT - Point Number
  2. T - Time at start of data block
  3. Vrms - E noise (volts)
  4. Irms - I noise (amps)
  5. Vmean - Average Voltage (volts)
  6. Imean - Average Current (amps)


EN120: Library Routines

Curve Classes |
class NSCURVE | Noise curve class


NSCURVE

Type: CLASS

Class NSCURVE implements a noise curve which takes time and two columns of data during its AddPoint routine, fits the data, and calculates the RMS and Mean noise values. The data in this curve can be plotted on the run-time screen.


NSCURVE.New()

Type: CLASS FUNCTION

Purpose: Create a new object of the NSCURVE class.

Usage:

Nscurve = NSCURVE.New(Tag, Pstat)
Tag | STRING | Object Tag used when printing the object
Pstat | Object | Pstat is an object with a PSTAT license
Nscurve | NSCURVE | The curve object


Nscurve.SprintPoint()

Type: INSTANCE FUNCTION

Purpose: Used in output of data from a NSCURVE object. A data point from the object is printed to an ASCII string. This string can in turn be printed to the active output file.

The format of the data string is:

PointNumber <tab> Time <tab> RMS E <tab> RMS I <tab> Mean E <tab> Mean I

You can use this function along with the Printl() function to output point i to the output file as follows:

Printl("\t",Nscurve.SprintPoint(i))

USAGE:

Result = Nscurve.SprintPoint(PointNumber)
Result | STRING | The output string
PointNumber | INDEX | The point to be printed. PointNumber is 0 based. If the requested point has not been taken, a parameter error will be issued.


Nscurve.Activate()

Type: INSTANCE FUNCTION

Purpose: Make this the active curve. It will be displayed if the user has ACTIVE chosen in the CURVE LIST control found on the Runner window. Display of this curve will continue until some other object becomes active.

Usage:

Nscurve.Activate()


Nscurve.SetPlotView()

Type: INSTANCE FUNCTION

Purpose: Set the number of graphs displayed in the real time display.

Usage:

Nscurve.SetPlotView(Format)
Format | INDEX | 0 = No Graph Displayed
 |  | 1 = Single Graph Displayed
 |  | 2 = Two Graphs displayed
 |  | Or use the predefined constants:
 |  | VIEW_NONE
 |  | VIEW_SINGLE
 |  | VIEW_DOUBLE


Nscurve.SetAxis()

Type: INSTANCE FUNCTION

Purpose: Helps to define the real time display of a NSCURVE object. Associates an axis with a data column in the object. Controls linear/log display formatting and allows labeling of the axis.

The number of axes to be displayed was determined when the object was created via NSCURVE.New(). The PlotView parameter in NSCURVE.New() determines whether we have a Y versus X or a Y and Y' versus X plot.

You must call Nscurve.SetAxis for each of the axes in the real time plot. For a Y and Y' versus X plot you need 3 calls to Nscurve.SetAxis().

Usage:

Nscurve.SetAxis(AxisNo, Source, Scale, MinVal, Label, Units)
AxisNo | INDEX | Use the constants below to define which axis is being configured.
 |  | X_AXIS | X axis
 |  | Y_AXIS | Y axis (Y vs X plot) or Lower Y (Y, Y' vs X)
 |  | Z_AXIS | Upper Y axis (Y, Y' vs X only)
Source | INDEX | The column number containing the data to be plotted or use the predefined constants defined in Nscurve.DataCol() .
Scale | INDEX | LIN_AXIS | The axis is linear
 |  | LOG_AXIS | The axis is log
MinVal | REAL | Minimum value used in prevention of "ugly" plot scaling. MinVal is used differently depending on Scale setting. On a linear axis, this is the minimum resolution of the plot. The range of values shown on the axis cannot be smaller than MinVal. This prevents excessively fine scaling when plotting data where all the values are identical or very similar. On a log axis, this value is substituted for 0's in the data. This prevents infinite log values.
Label | STRING | The label used for the axis. Short names (one or two character labels are preferred).
Units | STRING | The units used for the axis. Short names (one or two character labels are preferred).


Nscurve.Tag()

Type: INSTANCE FUNCTION

Purpose: Return a string containing the Nscurve object's tag.

Usage:

Result = Nscurve.Tag()

Result

STRING

The tag associated with the object.


Nscurve.AddPoint()

Type: INSTANCE FUNCTION

Purpose: Place a data point in the Nscurve object's data array. The point is added at the next available point in the curve. The data point counter is incremented after the point is added.

Usage:

Nscurve.AddPoint(ElapsedTime, Time, Voltage, Current)
ElapsedTime | REAL | The elapsed time in the experiment
Time | DATACOL | The block of Time data to be used
Voltage | DATACOL | The block of Voltage data to be fit
Current | DATACOL | The block of Current data to be fit


Nscurve.DataCol()

Type: INSTANCE FUNCTION

Purpose: Extract a data column from a NSCURVE object. This data column is packaged in a DATACOL object that can then be used for further processing.

Usage:

Result = Nscurve.DataCol(ColNumber)
Result | DATACOL | A DATACOL object with a tag derived from the Nscurve object's tag. The new tag is <NscurveTag>_C<COLNO> where COLNO is the requested column number.
ColNumber | INDEX | Data column, with a range of 0 to 4. 0 = Time 1 = RMS Voltage 2 = RMS Current 3 = Mean Voltage 4 = Mean Current


Nscurve.DataValue()

Type: INSTANCE FUNCTION

Purpose: Extract a single data item from a NSCURVE object. The data item is taken from the ith data point and the jth data column. If no data has been taken the returned value is NIL.

Usage:

DataValue = Nscurve.DataValue(PointNum,ColNumber)
Result | REAL | The returned value
 | NIL | No data acquired yet.
PointNum | INDEX | Point number, zero based. If PointNum is out of range, a value from the last acquired point is returned.
 | NIL | Always return a value from the last acquired point.
ColNumber | INDEX | Data column, with a range of 0 to 4.


Nscurve.Count()

Type: INSTANCE FUNCTION

Purpose: Return the number of points actually acquired in a NSCURVE object. The number returned is not the number of points allocated.

Usage:

NumPoints = Nscurve.Count()

NumPoints

INDEX

The number of points in the NSCURVE object. Zero is returned if no data has been acquired yet.


Nscurve.ColumnAvg()

Type: INSTANCE FUNCTION

Purpose: Return the average of a DATACOL object used in the Addpoint member function. This function allows returns a real number, given an index referencing the raw DATACOL object (usually from an IVT curve).

Usage:

Average = Nscurve.ColumnAvg(Column)
Column | INDEX | The column number of the raw data used in Addpoint from which to return the average. 0 = Voltage 1 = Current or use the predefined constants: NSCURVE_Vf NSCURVE_Im
Average | REAL | The average of the data in the DATACOL object


Active Cell

The active cell is the cell (if any) which is currently connected to the system potentiostat. Any measurements are made on that cell.


Applied Voltage

The Applied Voltage parameter defines the potential applied to the working electrode during the noise measurements. The voltage can be entered either as a voltage versus the reference electrode or as a voltage referenced to the open circuit voltage.

The value is entered in volts. The allowed range is ± 8 volts with a resolution of 1/8th mV.


Area: Multiplexed Experiments

Area

The Area parameter determines the electrode area used in calculations. Each channel can have a different area.


Average Analysis

The Average Analysis command is used to calculate average current and voltage noise levels within the selected time region. The values are reported in units of Amps and Volts, even if the axis is log current.

The commands operation and results reporting is very similar to the Min/Max... command. See the description of that command for additional information.


Base Filename

Each channel has its own data file. The Base Filename parameter is used to derive the filenames for these files. The filename for channel N (1-8) is made up by appending the character "N" to the Base Filename, then adding a ".DTA" filename extension. For example, if the Base Filename is ECNOISE, the data file for channel 1 will be named "ECNOISE1.DTA".

The filename resulting from the concatenation of the Base Filename and the channel number must adhere to DOS filename conventions. Only use letters and numbers in the name. Avoid punctuation characters (the underscore, "_", is OK). You are allowed a maximum of 7 (not 8) characters in the Base Filename. The eighth character is reserved for the channel number appended to the Base Filename.


Block Time

The Block Time parameter sets the length of time in which data is acquired for each block. Remember that each block of data is later reduced to a single data point.

The Block Time is entered in seconds. The allowed range for the Block Time parameter is controlled by value of the Samp. Period parameter. The allowed range is discussed in the Sample Period section.


Channel

There is one Channel Setup switch for each of the 8 channels. When a channel is selected, an X appears in the checkbox for that channel. As the script loops through the channels, it only runs tests on channels that are selected. The numbers for selected channels need not be continuous.


Identifier

The Identifier string is virtually identical to the Test Identifier string. The only difference is that in multiplexed tests, the Identifier refers to an experiment run on one cell, not to the entire experimental run.


Init. Delay

The Init. Delay checkbox is used to enable (and disable) the initial delay portion of the experimental sequence. A check in the Init. Delay box enables the delay, which is described below. The two parameters on the same line as the Init. Delay checkbox modify the timing of the initial delay.

When the Init. Delay checkbox is empty, the parameters that control the delay are grayed out.


Multiplexed ECN Setup


Multiplexed Pstat Mode ECN Setup Dialog Box


Multiplexer: EN120 Command

Multiplexer

EN120 systems can contain more than one ECM8 Electrochemical Multiplexer. The Multiplexer control allows you to choose which multiplexer is used to run a test. ECM8s that are not available will be grayed out.

NOTE: The multiplexer and potentiostat that you select must be connected together!


Notes

The Notes field allows you to enter several lines of text that describe the experiment. A typical use of Notes is to record the experimental conditions for a data set.

To the right hand side of the notes is a button. This button allows you to bring up a dialog box, shown below, which will show more of the notes at one time. You can edit the notes in either place.

Notes defaults to an empty string.

The Notes string is limited to 400 characters. It can include all printable characters including numbers, upper and lower case letters, and the most normal punctuation including spaces. tab characters are not allowed in the Notes string.

You can divide your Notes into lines using enter.


Notes: Multiplexed Experiments

Notes

The Notes controls are similar to the Notes control described for non multiplexed experiments. There is a separate Notes entry for each channel in a multiplexed EN120 test.


Output File

The Output File parameter is the pathname of the file in which the output data will be written. It can be a simple filename with no path information. In this case the output file is located in the default data directory. The default data directory is specified in the Gamry.INI file under the [FRAMEWORK] section with a Key named DataDir. This default pathname can be changed using the Paths command under the Options Menu.

It can also include path information, such as "C:\DATA\YOURDATA.DTA." In this example, the data will be written to the "YOURDATA.DTA" file in the "DATA" directory on drive C.

The default value of the Output File parameter is an abbreviation of the technique name with a ".DTA" filename extension. We recommend that you use a ".DTA" filename extension for your data filenames. The data analysis package assumes that all data files have ".DTA" extensions.

NOTE: The software does not automatically append the ".DTA" filename extension. You must add it yourself.

If the script is unable to open the file, an error message box, "Unable to Open File," is generated. Common causes for this type of problem include:

  • An invalid filename.
  • The file is already open under a different Windows application such as Excel.
  • The disk is full.

After you select OK in the error box, the script returns to the Setup box where a new filename can be entered.


Potentiostatic Mode ECN Setup Dialog Box


Pstat

The Pstat parameter selects the potentiostat/galvanostat that will perform the experiment. Each labeled button corresponds to an installed potentiostat. When a potentiostat has been selected, its corresponding button is filled in.

In a multiple potentiostat system you can change the potentiostat selection by clicking on a Pstat's button using the mouse. From the keyboard, you will tab down until a dotted line appears around one of the Pstat labels, then hit the spacebar to select among the potentiostats. Only one potentiostat can be selected at a time, so selecting one potentiostat will deselect another one.


Repeat Time

The Repeat Time parameter controls the spacing of data blocks and therefore spacing between points in the noise versus time curve.

The Repeat Time is entered in minutes. For a single cell test, the Repeat Time must be greater than twice the Block Time. If it is not, the script reports an error and returns you to Setup. This comparison is done after conversion of the Repeat Time to seconds.

For multiplexed tests, the Repeat Time must be greater than two times the Block Time times the number of selected channels.

There is no definite upper limit for the repeat time. It is limited by the time that you have available to run a given test.


Samp. Period

The Samp. Period parameter sets the time between data points within the data block.

The Samp. Period is entered in seconds. The maximum value allowed is 600 seconds, which is too long for routine applications. The minimum value that we recommend with the unmodified scripts is 0.1 seconds. Times down to 0.005 seconds usually will not cause errors, but will not yield any additional information. Analog filters in the potentiostat remove the higher frequency information that faster data rates would measure.

The number of data points in each data block is obtained from the formula:

Number of Points = Block Time / Samp. Period

Each block must contain between 3 and 4000 data points. Data blocks containing fewer than 10 points are not recommended, because statistical tests on small samples are subject to large errors.


Selected Cell

Cells may be either selected or not. If selected the Explain script will assume a cell is connected to that multiplexer channel and test that cell. If not selected, that channel will be skipped.


Stab. (Initial Delay)

In many cases, you really don't want to an initial delay that lasts for a fixed time. What you really want is to delay until Eoc stops drifting. The Stab. field is used to enter a value for the delay stability parameter. You use this parameter to tell the system what drift rate you feel represents a stable Eoc.

If the absolute value of the drift rate falls below the delay stability parameter, the initial delay ends immediately, disregarding the delay time. A delay stability value of zero assures that the delay will last for the full delay time, since the absolute value of the drift rate can never fall below zero.

The value in the Stab. field is entered in mV/sec. A typical value is 0.05 mV/sec. The upper limit in the delay stability parameter is 8 volts/sec, well above the range of practical stabilities with real cells. The lower limit in the delay stability parameter is set by your patience. A stability of 0.01 mV/sec means that a 1 mV drift takes 100 seconds. The Framework will always take data long enough to resolve a 1 mV change in potential at the requested drift rate.


Standby Cell

Standby cells are hooked to the multiplexer but not presently connected to the system potentiostat. Depending on the standby mode, they may be shorted (working electrode to counter electrode or working electrode #2 ), open circuit, or connected to a local potentiostat in the ECM8.


System

The System setup parameter is used to select a set of electrochemical parameters relevant to your particular test system. The parameters are recovered from the system parameter database file.

The recovered parameters are all used in the calculation of corrosion rate. They are the sample's equivalent weight, density, anodic b and cathodic b.

When you attempt to run an experiment the system searches the "SYSTEM.SET" file for a parameter set stored under the name in the System parameter. If no parameter set is found, an error message is displayed and you are returned to the Setup dialog box.


Test Identifier

The Test Identifier parameter is a string that is used for two purposes. The Test Identifier parameter is written to the data file, so it can be used to identify data in database or data manipulation programs. This string is also used as the title for both real time plots and plots in the data analysis packages.

The Test Identifier string defaults a name derived from the technique's name. While this makes an acceptable curve label, it does not generate a unique descriptive label for a data set.

The Test Identifier string is limited to 80 characters. It can include all normally printable characters, including numbers, upper and lower case letters, and most normal punctuation including spaces.


Time (Initial Delay)

Initial delay phase of the experiment is used to allow the open circuit voltage of the sample to stabilize prior to noise data acquisition. The Time field is used to enter a value for the delay's duration. The entered value is the maximum time that the sample will be held at open circuit. The delay may stop prior to the Time if the stability criterion for Eoc is met (see below). The delay time parameter is active only if you have selected the Init. Delay checkbox.

The units for the delay time are seconds. The minimum time is one second, the maximum time is 400,000 seconds (more than 4 days). Below 1000 seconds, the time resolution is one second. Between 1000 seconds and 10,000 seconds, it is 10 seconds. Above 10,000 seconds, it is 100 seconds.


Total Time

The Total Time parameter controls the length of the test.

The Total Time is entered in hours. The allowed range of Total Time values depends on the value of the Repeat Time parameter. The dependence results from limits on the number of points in the noise versus time curve. The number of points in this curve is calculated from:

Number of Points = Total Time / Repeat Time

The number of points in the curve must be at least one and less than 4000.


Typical ECN Setup Dialog Box